> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/api-reference/network-services/certificate-manager/auto-certificate/updates-autocertificate.md).

# Updates AutoCertificate

Changes AutoCertificate with the provided ID. Values provides will replace the existing data.

```json
{"openapi":"3.0.3","info":{"title":"Certificate Manager Service API","version":"2.0"},"tags":[{"name":"AutoCertificate","description":"Auto certificates create new certificates based\non a certificate provider.\nThis tag groups all operations for autocertificate.\n"}],"servers":[{"url":"https://certificate-manager.de-fra.ionos.com","description":"Frankfurt"}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"The token can be generated using the \n[Authentication API](https://api.ionos.com/docs/authentication/v1/#tag/tokens/operation/tokensGenerate).\n"}},"schemas":{"AutoCertificatePatch":{"type":"object","required":["properties"],"properties":{"metadata":{"description":"Metadata","additionalProperties":true},"properties":{"$ref":"#/components/schemas/PatchName"}}},"PatchName":{"required":["name"],"properties":{"name":{"type":"string","description":"The new name."}}},"AutoCertificateRead":{"type":"object","required":["id","type","href","metadata","properties"],"properties":{"id":{"type":"string","description":"The ID (UUID) of the AutoCertificate.","format":"uuid"},"type":{"description":"The type of the resource.","type":"string","enum":["autocertificate"]},"href":{"description":"The URL of the AutoCertificate.","type":"string"},"metadata":{"$ref":"#/components/schemas/MetadataWithAutoCertificateInformation"},"properties":{"$ref":"#/components/schemas/AutoCertificate"}}},"MetadataWithAutoCertificateInformation":{"allOf":[{"$ref":"#/components/schemas/MetadataWithStatus"},{"type":"object","properties":{"lastIssuedCertificate":{"type":"string","format":"uuid","description":"The ID of the last certificate that was issued."}}}]},"MetadataWithStatus":{"readOnly":true,"allOf":[{"$ref":"#/components/schemas/Metadata"},{"type":"object","required":["state","message"],"properties":{"state":{"type":"string","description":"The resource state.","enum":["PROVISIONING","AVAILABLE","FAILED"]},"message":{"type":"string","description":"A human readable message describing the current state.\nIn case of an error, the message will contain a detailed error message.\n"}}}]},"Metadata":{"type":"object","description":"Metadata of the resource.","properties":{"createdDate":{"type":"string","format":"date-time","description":"The ISO 8601 creation timestamp.","readOnly":true},"createdBy":{"type":"string","description":"Unique name of the identity that created the resource.","readOnly":true},"createdByUserId":{"type":"string","description":"Unique id of the identity that created the resource.","readOnly":true},"lastModifiedDate":{"type":"string","format":"date-time","description":"The ISO 8601 modified timestamp.","readOnly":true},"lastModifiedBy":{"type":"string","description":"Unique name of the identity that last modified the resource.","readOnly":true},"lastModifiedByUserId":{"type":"string","description":"Unique id of the identity that last modified the resource.","readOnly":true},"resourceURN":{"type":"string","description":"Unique name of the resource.","readOnly":true}}},"AutoCertificate":{"description":"Auto certificates create new certificates based\non a certificate provider.\n","type":"object","required":["provider","commonName","keyAlgorithm","name"],"properties":{"provider":{"type":"string","format":"uuid","description":"The certificate provider used to issue the certificates."},"commonName":{"type":"string","description":"The common name (DNS) of the certificate to issue.\nThe common name needs to be part of a zone in IONOS CLOUD DNS.\n"},"keyAlgorithm":{"type":"string","description":"The key algorithm used to generate the certificate.","enum":["rsa2048","rsa3072","rsa4096"]},"name":{"type":"string","description":"A certificate name used for management purposes."},"subjectAlternativeNames":{"type":"array","items":{"type":"string"},"description":"Optional additional names to be added to the issued certificate.\nThe additional names need to be part of a zone in IONOS CLOUD DNS.\n"}}},"Error":{"description":"The Error object is used to represent an error response from the API.\n","type":"object","properties":{"httpStatus":{"type":"integer","description":"The HTTP status code of the operation."},"messages":{"type":"array","description":"A list of error messages.\n","items":{"type":"object","properties":{"errorCode":{"type":"string","description":"Application internal error code\n"},"message":{"type":"string","description":"A human readable explanation specific to this occurrence of the\nproblem.\n"}}}}}}},"responses":{"BadRequest":{"description":"### Bad Request\nThe request send to the API was malformed.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"### Unauthorized\nThe request is missing authorization information or the authorization information provided are expired.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotAllowed":{"description":"### Not Allowed\nThe user issuing the request does not have the needed permissions.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"### Not Found\nThe resource that was requested could not be found.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Conflict":{"description":"### Conflict\nThe UUID is already taken by another party, follow the guides to generate UUIDs uniquely.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnsupportedMediaType":{"description":"### Unsupported Media Type\nThe request has an unsupported media type.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnprocessableEntity":{"description":"### Unprocessable Entity\nThe request was well-formed but was unable to be followed due to semantic errors.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"TooManyRequests":{"description":"### Too Many Requests\nThe user has sent too many requests in a given amount of time.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"### Internal Server Error\nAn internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServiceUnavailable":{"description":"### Service Unavailable\nThe server is currently unable to handle the request due to a temporary overloading or maintenance of the server.\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"UnexpectedError":{"description":"### Unexpected Internal Server Error\nAn unexpected internal error occurred. We apologize for the inconvenience!\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}},"paths":{"/auto-certificates/{autoCertificateId}":{"patch":{"operationId":"autoCertificatesPatch","summary":"Updates AutoCertificate","tags":["AutoCertificate"],"description":"Changes AutoCertificate with the provided ID.\nValues provides will replace the existing data.\n","parameters":[{"name":"autoCertificateId","in":"path","schema":{"type":"string","format":"uuid"},"required":true,"description":"The ID (UUID) of the AutoCertificate."}],"requestBody":{"description":"patch AutoCertificate","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutoCertificatePatch"}}}},"responses":{"200":{"description":"AutoCertificate successfully updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AutoCertificateRead"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/NotAllowed"},"404":{"$ref":"#/components/responses/NotFound"},"409":{"$ref":"#/components/responses/Conflict"},"415":{"$ref":"#/components/responses/UnsupportedMediaType"},"422":{"$ref":"#/components/responses/UnprocessableEntity"},"429":{"$ref":"#/components/responses/TooManyRequests"},"500":{"$ref":"#/components/responses/InternalError"},"503":{"$ref":"#/components/responses/ServiceUnavailable"},"default":{"$ref":"#/components/responses/UnexpectedError"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/api-reference/network-services/certificate-manager/auto-certificate/updates-autocertificate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
